Bug 522601 - No X on "VGA ION" [10de:087d]
Summary: No X on "VGA ION" [10de:087d]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 19:41 UTC by Niels Haase
Modified: 2018-04-11 09:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:26:22 UTC


Attachments (Terms of Use)
BIOS from Nvidia ION (087d) (60.50 KB, application/octet-stream)
2009-09-14 04:27 UTC, Niels Haase
no flags Details
mmiotrace from Nvidia ION 087d (6.80 MB, application/x-gzip)
2009-09-14 04:33 UTC, Niels Haase
no flags Details

Description Niels Haase 2009-09-10 19:41:05 UTC
Description of problem:
No X on nVidia ION based system

Version-Release number of selected component (if applicable):
Testday image testday-20090909-x86_64.iso

How reproducible:
100%

Steps to Reproduce:
1. boot from live usb
  
Actual results:
No X

Expected results:
X

Additional info:
Start-up with KMS, at the point gdm normally shows up, the complete screen show every pixel in different colour but stays static.

Start-up with nouveau.modeset=0 will cause also X to fail

Start-up with VESA works

No switch to vty is possible with the nouveau driver. Currently I'm not able to grab the logfiles over SSH (hopefully if it's possible) atm since there are network problems. But I will try my best to deliver in addition.

Comment 1 Ben Skeggs 2009-09-10 20:05:55 UTC
Ahh, I was wondering when I'd see one of these cards in the wild :)  It should be possible for us to support it, and nv *should* probably work already.

Even if you can't get logs, it'd be *very* useful if you could grab me a VBIOS image from the card and let me know the output from nouveau with nouveau.modeset=0, in particular the numbers in brackets on the "Detected an NV50 generation card" line.

http://cgit.freedesktop.org/~stuart/vbtracetool/ is the tool you need for the VBIOS image.  If you can grab that and run "make && ./vbtracetool -w 2>vbios.rom"

That will hopefully be enough to fix modesetting, to get acceleration I'll also need a trace of the NVIDIA binary driver initialising the card.  http://nouveau.freedesktop.org/wiki/MmioTrace has details on how to get this, I'm just not 100% certain there's a binary driver available that'll work with the X server in the latest Fedora code.  I'm testing that myself today, so I'll get back to you on that unless you beat me to it!

Comment 2 Niels Haase 2009-09-14 04:27:29 UTC
Created attachment 360870 [details]
BIOS from Nvidia ION (087d)

Comment 3 Niels Haase 2009-09-14 04:33:40 UTC
Created attachment 360871 [details]
mmiotrace from Nvidia ION 087d

archive contains:

mmiotrace (without any lost events) from X start-up with nvidia blob (x86_64 190.32 Beta) > mydump.txt
dmesg from boot until successfully end of mmiotrace > dmesg.txt
lspci -vvv output > lspci.txt

Comment 4 Ben Skeggs 2009-09-15 22:35:54 UTC
Thanks for the traces.  The card's not actually what I thought it was, but it's a known problematic card in any case.

With the latest releases of kernel, libdrm and xorg-x11-drv-nouveau you should be able to make it into X.  However, acceleration will be disabled, but it's better than a hang.

However, there's been some updates to the kernel which may have fixed the acceleration issue too, I just don't have access to the hardware to be able to test it.  So, if you update, could you post your dmesg output here so I'm able to see if the engine hangs while trying to draw console messages?  The slight catch here is that you can't use 2.6.31-14.fc12 as it has console acceleration temporarily disabled.  The version prior, or after will be fine however.

Thanks!

Comment 5 Adam Williamson 2009-09-17 20:24:54 UTC
arxs: of course, if you can't install rawhide (I don't recall if you have a rawhide install or not), you can use a nightly CD - http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/ .

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Matěj Cepl 2009-11-05 17:16:00 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 7 Bug Zapper 2009-11-16 12:13:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Chris Campbell 2009-12-05 16:35:53 UTC
Niels, please read over Comment #4 and Comment #5. Could you please let us know how your system/card handles an up to date package, perhaps the released version of Fedora 12?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Ben Skeggs 2010-02-24 04:20:44 UTC
ION is now correctly supported by nouveau as of kernel-2.6.32.9-64.fc12.

Comment 10 Bug Zapper 2010-11-04 10:06:30 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2010-12-05 06:26:22 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.